Skip to content

Update encryption key

Request to update an existing encryption key:

PUT /api/v2/encrypt_keys/<key-id>.json

Only name and is_active can be changed. Attributes that are not included keep their values.

For example:

{
    "encrypt_key": {
        "name": "Acme 2026 (retired)",
        "is_active": false
    }
}

Only one key of a tenant is active at a time. Activating a key deactivates the previous one.

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The encryption key has been successfully updated. The response body contains the complete key object after the update
400 Bad Request

The request cannot be completed because the supplied JSON object has invalid data.

The response contains a detailed description of the error, like:

{"error": "InvalidRecord", "explanation": "Record Validation errors", "details": {"is_active": "\"yes\" is not a boolean"}}
403 Forbidden The request cannot be completed because API user has no permission to edit encryption keys
404 Not Found Encryption key with such ID does not exist, or it is outside the access scope of the API user